
QGIS Application - Bug report #20015

qgis 3.3 master random selection does not work anymore

2018-10-04 05:56 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27837

Description

it is not possible to insert any value !!

Associated revisions

Revision 8cad2a6e - 2018-10-05 02:48 AM - Nyall Dawson

[processing] Fix random selection count parameter

Remove a bunch of manual "max" values for numeric parameters

where the maximum just represents a 'large number' and not a real

constraint, and let the default parameter max value handling kick in instead.

In the case of random selection the max value exceeded the possible

range for integers in spin boxes and broke the widget.

Fixes #20015

History

#1 - 2018-10-04 08:53 PM - Giovanni Manghi

- Operating System deleted (win 10 - osgeo4w)

- Subject changed from qgis 3.3 master random selection does not work to qgis 3.3 master random selection does not work anymore

Confirmed on Linux too.

#2 - 2018-10-05 02:22 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-10-05 02:47 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8cad2a6e16698d0dfcfc876d3ddd1cc9e2a0499b.
